Package org.gradle.plugin.devel.tasks

## Class ValidateTaskProperties

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.plugin.devel.tasks.ValidateTaskProperties

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `VerificationTask`, `org.gradle.util.Configurable<Task>`

      @Deprecated
      public class ValidateTaskProperties
      extends DefaultTask
      implements VerificationTask

  Deprecated.
  Use `ValidatePlugins` instead.
  Validates task property annotations.

  Task properties must be annotated with one of:

  - Properties taken into account during up-to-date checks:
    - @`Input`, @`Nested`, @`InputFile`, @`InputDirectory`, @`InputFiles` to mark it as an input to the task.
    - @`OutputFile`, @`OutputDirectory` to mark it as an output of the task.
  - Properties ignored during up-to-date checks:
    - @`Inject` marks a Gradle service used by the task.
    - @`Console` marks a property that only influences the console output of the task.
    - @`Internal` mark an internal property of the task.
    - @`ReplacedBy` mark a property as replaced by another (similar to `Internal`).
  Since:
    3.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidateTaskProperties​(TaskProvider<ValidatePlugins> delegate, Runnable deprecationNagger)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConfigurableFileCollection` | `getClasses()` | Deprecated. The classes to validate.
    `ConfigurableFileCollection` | `getClasspath()` | Deprecated. The classpath used to load the classes under validation.
    `boolean` | `getEnableStricterValidation()` | Deprecated. Enable the stricter validation for cacheable tasks for all tasks.
    `boolean` | `getFailOnWarning()` | Deprecated. Returns whether the build should break when the verifications performed by this task detects a warning.
    `boolean` | `getIgnoreFailures()` | Deprecated. Specifies whether the build should break when the verifications performed by this task fail.
    `RegularFileProperty` | `getOutputFile()` | Deprecated. Returns the output file to store the report in.
    `void` | `setEnableStricterValidation​(boolean enableStricterValidation)` | Deprecated. Enable the stricter validation for cacheable tasks for all tasks.
    `void` | `setFailOnWarning​(boolean failOnWarning)` | Deprecated. Specifies whether the build should break when the verifications performed by this task detects a warning.
    `void` | `setIgnoreFailures​(boolean ignoreFailures)` | Deprecated. Specifies whether the build should break when the verifications performed by this task fail.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, setImpliesSubProjects, setLoggerMessageRewriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `getConvention`

- - ### Constructor Detail

    - #### ValidateTaskProperties

          @Inject
          public ValidateTaskProperties​(TaskProvider<ValidatePlugins> delegate,
                                        Runnable deprecationNagger)

      Deprecated.

  - ### Method Detail

    - #### getIgnoreFailures

          @Internal
          public boolean getIgnoreFailures()

      Deprecated.
      Description copied from interface: `VerificationTask`
      Specifies whether the build should break when the verifications performed by this task fail.
      Specified by:
        `getIgnoreFailures` in interface `VerificationTask`
      Returns:
        false, when the build should break on failure, true when the failures should be ignored.

    - #### setIgnoreFailures

          public void setIgnoreFailures​(boolean ignoreFailures)

      Deprecated.
      Specifies whether the build should break when the verifications performed by this task fail.
      Specified by:
        `setIgnoreFailures` in interface `VerificationTask`
      Parameters:
        `ignoreFailures` - false to break the build on failure, true to ignore the failures. The default is false.

    - #### getClasses

          @Internal
          public ConfigurableFileCollection getClasses()

      Deprecated.
      The classes to validate.
      Since:
        4.0

    - #### getClasspath

          @Internal
          public ConfigurableFileCollection getClasspath()

      Deprecated.
      The classpath used to load the classes under validation.

    - #### getFailOnWarning

          @Internal
          public boolean getFailOnWarning()

      Deprecated.
      Returns whether the build should break when the verifications performed by this task detects a warning.

    - #### getEnableStricterValidation

          @Internal
          public boolean getEnableStricterValidation()

      Deprecated.
      Enable the stricter validation for cacheable tasks for all tasks.
      Since:
        5.1

    - #### setEnableStricterValidation

          public void setEnableStricterValidation​(boolean enableStricterValidation)

      Deprecated.
      Enable the stricter validation for cacheable tasks for all tasks.
      Since:
        5.1

    - #### getOutputFile

          @Internal
          public RegularFileProperty getOutputFile()

      Deprecated.
      Returns the output file to store the report in.
      Since:
        4.5

    - #### setFailOnWarning

          public void setFailOnWarning​(boolean failOnWarning)

      Deprecated.
      Specifies whether the build should break when the verifications performed by this task detects a warning.
      Parameters:
        `failOnWarning` - `true` to break the build on warning, `false` to ignore warnings. The default is `true`.